From 41448708e163c8ec1f980464e7dd6741db427c8a Mon Sep 17 00:00:00 2001
From: Josep Puigdemont <josep.puigdemont@enea.com>
Date: Sun, 4 May 2014 16:02:07 +0200
Subject: [PATCH] Add install-ptest rules.

Signed-off-by: Josep Puigdemont <josep.puigdemont@enea.com>
Signed-off-by: Maxin B. John <maxin.john@enea.com>
Upstream-Status: Pending

---
 Makefile.am       |  5 +++++
 tests/Makefile.am | 11 +++++++++++
 2 files changed, 16 insertions(+)

diff --git a/Makefile.am b/Makefile.am
index ecc03df..9fbbda5 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -55,3 +55,8 @@ ChangeLog:
                 awk -f $(top_srcdir)/git2chg.awk                            \
                     -v append=$(top_srcdir)/$(prev_change_log) > ChangeLog; \
         fi
+
+install-ptest:
+	@for subdir in $(SUBDIRS); do \
+		$(MAKE) -C $$subdir DESTDIR=$(DESTDIR)/$$subdir $@; \
+	done
diff --git a/tests/Makefile.am b/tests/Makefile.am
index dbe17dd..06f537f 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -169,3 +169,14 @@ EXTRA_DIST += \
   gdbmtool/base.exp\
   config/default.exp
 
+buildtests: $(check_PROGRAMS) $(TESTSUITE)
+
+install-ptest: $(check_PROGRAMS) $(TESTSUITE)
+	@$(INSTALL) -d $(DESTDIR)
+	@for file in $^; do \
+		if [ -x .libs/$$file ]; then \
+			$(INSTALL_PROGRAM) .libs/$$file $(DESTDIR)/$$file; \
+		else \
+			$(INSTALL_PROGRAM) $$file $(DESTDIR) ; \
+		fi \
+	done
